﻿@model dbChange.Models.Staff
@using dbChange.Models;
@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/Admin/_Layout_Admin.cshtml";

    var lsTinh = ViewData["lsTinh"] as List<PL3_DanhMucHanhChinh>;
    var lsDiaDiemTiem = ViewData["lsDiaDiemTiem"] as List<PL4_DiaDiemTiem>;
    var lsDonVi = ViewData["lsDonVi"] as List<DM_BoPhanChiTiet>;
}

<h1>Thêm nhân viên</h1>
<hr />
<div>
    <a asp-action="Index">Quay lại</a>
</div>
<hr />
<form asp-action="Create" class="Form_Create_NhanVien" novalidate>
    <div class="row editStaff">

        <div class="col-md-12 ">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />

            <div class="form-row">
                <div class="col-md-3 mb-3">
                    <label asp-for="MaNS" class="control-label">Mã nhân sự</label>
                    <input asp-for="MaNS" class="form-control" required />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="HoTen" class="control-label">Họ tên</label>
                    <input asp-for="HoTen" class="form-control" required />
                </div>
                <div class="col-md-3 mb-3">
                    <div class="form-group">
                        <input id="txt_ngaysinh" class="form-control form-control-sm" placeholder="Ngày sinh: dd/mm/yyy" />
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <input asp-for="NgayS" class="form-control form-control-sm" placeholder="Ngày" required />
                        </div>
                        <div class="col-md-4">
                            <input asp-for="ThangS" class="form-control form-control-sm" placeholder="Tháng" required />
                        </div>
                        <div class="col-md-4">
                            <input asp-for="NamS" class="form-control form-control-sm" placeholder="Năm" required />
                        </div>
                    </div>
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="GioiTinh" class="control-label">Giới tính</label>
                    <select asp-for="GioiTinh" class="form-control">
                        <option value="0">Nam</option>
                        <option value="1">Nữ</option>
                    </select>
                </div>
            </div>

            <div class="form-row">
                <div class="col-md-3 mb-3">
                    <label asp-for="CMND" class="control-label">CMND</label>
                    <input asp-for="CMND" class="form-control" required />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="DienThoai" class="control-label">Điện thoại</label>
                    <input asp-for="DienThoai" class="form-control" required />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="DonViChiTiet" class="control-label">Đơn vị</label>
                    <select class="form-control select2me" asp-for="DonViChiTiet" required>
                        <option value="">Chọn</option>
                        @{
                            foreach (var row in lsDonVi)
                            {
                                <option value="@row.TenDonVi">@row.TenDonVi</option>
                            }
                        }
                    </select>
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="BoPhanId" class="control-label">Bộ phận</label>
                    <select class="form-control select2me" asp-for="BoPhanId" required></select>
                </div>
            </div>

            <div class="form-row">
                <div class="col-md-3 mb-3">
                    <label asp-for="DiaChi" class="control-label">Địa chỉ</label>
                    <input asp-for="DiaChi" class="form-control" required />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="MaTinh" class="control-label">Tỉnh/Thành phố</label>
                    <select asp-for="MaTinh" class="form-control select2me" required>
                        <option value="">Chọn</option>
                        @{
                            foreach (var row in lsTinh)
                            {
                                <option value="@row.Ma_TinhThanhPho">@row.Ten_TinhThanhPho</option>
                            }
                        }
                    </select>
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="MaQuan" class="control-label">Quận/Huyện</label>
                    <select class="form-control select2me" asp-for="MaQuan" required>
                    </select>
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="MaPhuong" class="control-label">Phường/Xã</label>
                    <select class="form-control select2me" asp-for="MaPhuong" required></select>
                </div>
            </div>

            <div class="form-row">
                <div class="col-md-3 mb-3">
                    <label asp-for="Ma_ToKhuPho" class="control-label">Tổ khu phố</label>
                    <select class="form-control from-control-sm 1" asp-for="Ma_ToKhuPho"></select>
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="CCCD" class="control-label">CCCD</label>
                    <input asp-for="CCCD" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="BHYT" class="control-label">BHYT</label>
                    <input asp-for="BHYT" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="LoaiLD" class="control-label">Loại LĐ</label>
                    <input asp-for="LoaiLD" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="SSBH" class="control-label">SSBH</label>
                    <input asp-for="SSBH" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="BiF0" class="control-label">Bị F0</label>
                    <select asp-for="BiF0" class="form-control">
                        <option value="true">Có</option>
                        <option selected value="false">Không</option>
                    </select>
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="NgayXuatVien" class="control-label">Ngày xuất viện</label>
                    <input type="datetime-local" asp-for="NgayXuatVien" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="GhiChu" class="control-label">Ghi chú</label>
                    <input asp-for="GhiChu" class="form-control" />
                </div>
            </div>

            <div class="form-row">
                <a class="text-danger text-uppercase" data-toggle="collapse" href="#collapse_ThongTinMuiTiem" role="button" aria-expanded="false" aria-controls="collapse_ThongTinMuiTiem">
                    <i class="ri-syringe-line"></i>Cập nhật thông tin mũi tiêm 1 & mũi tiêm 2 <i class="fa fa-caret-down" aria-hidden="true"></i>
                </a>
            </div>
            <div class="form-row collapse" id="collapse_ThongTinMuiTiem">
                <div class="col-md-3 mb-3">
                    <label asp-for="Mui1_TenVacxin" class="control-label">Tên vắc xin (Mũi 1)</label>
                    <input asp-for="Mui1_TenVacxin" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="Mui1_NgayTiem" class="control-label">Ngày tiêm vắc xin (Mũi 1)</label>
                    <input type="datetime-local" asp-for="Mui1_NgayTiem" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="Mui1_SoLo" class="control-label">Số lô vắc xin (Mũi 1)</label>
                    <input asp-for="Mui1_SoLo" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="Mui1_DiaDiem" class="control-label">Địa điểm tiêm vắc xin (Mũi 1)</label>

                    <select class="form-control from-control-sm" asp-for="Mui1_DiaDiem">
                        <option value="">Chọn</option>
                        @{
                            foreach (var row in lsDiaDiemTiem)
                            {
                                <option value="@row.Ten_CoSo">@row.Ten_CoSo</option>
                            }
                        }
                    </select>
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="Mui2_TenVacxin" class="control-label">Tên vắc xin (Mũi 2)</label>
                    <input asp-for="Mui2_TenVacxin" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="Mui2_NgayTiem" class="control-label">Ngày tiêm vắc xin (Mũi 2)</label>
                    <input type="datetime-local" asp-for="Mui2_NgayTiem" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="Mui2_SoLo" class="control-label">Số lô vắc xin (Mũi 2)</label>
                    <input asp-for="Mui2_SoLo" class="form-control" />
                </div>
                <div class="col-md-3 mb-3">
                    <label asp-for="Mui2_DiaDiem" class="control-label">Địa điểm tiêm vắc xin (Mũi 2)</label>
                    <select class="form-control from-control-sm" asp-for="Mui2_DiaDiem">
                        <option value="">Chọn</option>
                        @{
                            foreach (var row in lsDiaDiemTiem)
                            {
                                <option value="@row.Ten_CoSo">@row.Ten_CoSo</option>
                            }
                        }
                    </select>
                </div>
            </div>

            <div class="row mt-5">
                <div class="col-12">
                    <div class="form-group">
                        <input type="submit" value="Save" class="btn btn-success" />
                        <a class="btn btn-primary" asp-action="Index">Quay lại</a>
                    </div>
                </div>
            </div>
</form>

